libapm-3.2.2-alt8.i586.rpm


Advertisement

Description

libapm - The shared library for interacting with the kernel APM driver

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libapm-3.2.2-alt8.i586.rpm
Package name libapm
Package version 3.2.2
Package release alt8
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 13.43 KB
Installed size 13.43 KB
On laptop computers, the Advanced Power Management (APM) support provides
access to battery status information and may help you to conserve battery
power, depending on your laptop and the APM implementation.
This package contains a shared library that provides support for
interacting with the APM driver in the kernel.

Alternatives

Package Version Architecture Repository
libapm-3.2.2-alt8.x86_64.rpm 3.2.2 x86_64 Classic
libapm - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
rpmlib(PayloadIsLzma) -
rtld(GNU_HASH) -

Provides

Name Value
libapm = 1:3.2.2-alt8:sisyphus+221554.100.1.1
libapm.so.1 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libapm-3.2.2-alt8.i586.rpm
Source Package apmd-3.2.2-alt8.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libapm rpm package:
    # sudo apt-get install libapm

Files

Path
/usr/lib/libapm.so.1
/usr/lib/libapm.so.1.0.0

Changelog

2019-02-14 - Gleb F-Malinovskiy <glebfm@altlinux.org> 1:3.2.2-alt8
- Removed ExclusiveArch tag.
2019-02-05 - Michael Shigorin <mike@altlinux.org> 1:3.2.2-alt7
- rebuilt for aarch64
2013-04-23 - Repocop Q. A. Robot <repocop@altlinux.org> 1:3.2.2-alt6.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
* beehive-log-dependency-needs-epoch-x86_64 for apmd
2012-11-08 - Igor Vlasenko <viy@altlinux.ru> 1:3.2.2-alt6
- fixed x86_64 build
- added but not applied apmd-3.2.2-mageia-graphicswitch.patch
2009-05-13 - Michael Shigorin <mike@altlinux.org> 1:3.2.2-alt5
- applied three-year-and-two-days old PLD patch
to fix build with newer libtool
- minor spec cleanup
- buildreq
2008-11-09 - Michael Shigorin <mike@altlinux.org> 1:3.2.2-alt4
- rebuilt against current libXaw-devel

See Also

Package Description
libapm-devel-3.2.2-alt8.i586.rpm The development library and header files for APM
libapogee-3.2-alt1_1.i586.rpm Library for Apogee CCD Cameras
libapogee-devel-3.2-alt1_1.i586.rpm Libraries, includes, etc. used to develop an application with libapogee
libappindicator-12.10.0-alt11.i586.rpm Application indicators library
libappindicator-devel-12.10.0-alt11.i586.rpm Python 2 bindings for libappindicator
libappindicator-gir-12.10.0-alt11.i586.rpm GObject introspection data for the libappindicator
libappindicator-gtk3-12.10.0-alt11.i586.rpm Application indicators library - GTK 3
libappindicator-gtk3-devel-12.10.0-alt11.i586.rpm Development files for libappindicator-gtk3
libappindicator-gtk3-gir-12.10.0-alt11.i586.rpm GObject introspection data for the libappindicator-gtk3
libappindicator-sharp-12.10.0-alt11.i586.rpm Application indicators library - C#
libappindicator-sharp-devel-12.10.0-alt11.i586.rpm Development files for libappindicator-sharp
libappstream-glib-0.7.16-alt1.i586.rpm Library for AppStream metadata
libappstream-glib-devel-0.7.16-alt1.i586.rpm GLib Libraries and headers for libappstream-glib
libappstream-glib-gir-0.7.16-alt1.i586.rpm GObject introspection data for the appstream-glib library
libapr1-1.7.0-alt2.i586.rpm Apache Portable Runtime shared library
Advertisement
Advertisement